import React from 'react';
import { Descendant } from 'slate';
import { ICompletionResponse } from './protocol';
import { SmartInputFetcher } from './SmartInputFetcher';
export declare function useSmartInput(arg: {
    model: string;
    value: string;
    onAcceptCompletion?: (completion: string) => void;
    onShowCompletion?: (completion: string) => void;
    context?: string;
    user?: string;
    dev?: boolean;
    safeMode?: boolean;
}): {
    editor: Omit<import("slate").BaseEditor, "children"> & import("slate-react").ReactEditor & {
        children: import("./protocol").CustomDescendant[];
    } & import("./history/history-editor").HistoryEditor;
    foundationModel: any;
    completion: ICompletionResponse | null;
    setCompletion: React.Dispatch<React.SetStateAction<ICompletionResponse | null>>;
    fetcher: SmartInputFetcher;
    onChange: (value: Descendant[]) => string;
    triggerCompletion: () => void;
    addCompletion: (completion: ICompletionResponse, force?: boolean) => void;
    acceptCompletion: () => void;
    clearCompletion: () => void;
};
